#![feature(get_many_mut)]
#![feature(iterator_try_collect)]
use std::fs;

mod day1;
mod day2;
mod day3;
mod day4;
mod day5;
mod day6;
mod day7;
mod day8;
mod day9;
mod day10;
mod day11;
mod day12;

fn main() {
    day1::run(fs::read_to_string("input/day1.txt").expect("Failed to read input file!"));
    day2::run(fs::read_to_string("input/day2.txt").expect("Failed to read input file!"));
    day3::run(fs::read_to_string("input/day3.txt").expect("Failed to read input file!"));
    day4::run(fs::read_to_string("input/day4.txt").expect("Failed to read input file!"));
    day5::run(fs::read_to_string("input/day5.txt").expect("Failed to read input file!"));
    day6::run(fs::read_to_string("input/day6.txt").expect("Failed to read input file!"));
    day7::run(fs::read_to_string("input/day7.txt").expect("Failed to read input file!"));
    day8::run(fs::read_to_string("input/day8.txt").expect("Failed to read input file!"));
    day9::run(fs::read_to_string("input/day9.txt").expect("Failed to read input file!"));
    day10::run(fs::read_to_string("input/day10.txt").expect("Failed to read input file!"));
    day11::run(fs::read_to_string("input/day11.txt").expect("Failed to read input file!"));
    day12::run(fs::read_to_string("input/day12.txt").expect("Failed to read input file!"));
}
